View Issue Details

IDProjectCategoryView StatusLast Update
0000663luatexfeature requestpublic2015-11-02 17:55
ReporterHans HagenAssigned ToHans Hagen 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.85.0 
Summary0000663: tex.dimen cum suis
Descriptioncurrently these give an error (-1) when an unknown dimension is passed; we can consider

tex.isdimen("xx") that returns false when xx is no dimen and does not issue a message

(tex.isdimen tex.iscount tex.isskip ..)
TagsNo tags attached.

Activities

Taco

2011-05-22 20:01

administrator   ~0000859

Under what circumstances do you need to pass an unknown dimension?

Hans Hagen

2011-05-28 13:06

manager   ~0000869

is more for testing if a given \cs is a dimension (when parsing a string)

Hans Hagen

2015-10-20 21:19

manager   ~0001445

checking can be done with the tokenlib

Hans Hagen

2015-11-02 17:55

manager   ~0001496

the new is* ones can come in handy

Issue History

Date Modified Username Field Change
2011-05-22 19:56 Hans Hagen New Issue
2011-05-22 20:01 Taco Note Added: 0000859
2011-05-28 11:40 Taco Assigned To => Hans Hagen
2011-05-28 11:40 Taco Status new => feedback
2011-05-28 13:06 Hans Hagen Note Added: 0000869
2011-05-28 13:06 Hans Hagen Status feedback => assigned
2011-05-29 08:45 Taco Assigned To Hans Hagen => Taco
2012-08-10 15:42 oneiros Severity minor => feature
2015-10-20 21:19 Hans Hagen Note Added: 0001445
2015-11-02 17:55 Hans Hagen Note Added: 0001496
2015-11-02 17:55 Hans Hagen Status assigned => closed
2015-11-02 17:55 Hans Hagen Assigned To Taco => Hans Hagen
2015-11-02 17:55 Hans Hagen Resolution open => fixed
2015-11-02 17:55 Hans Hagen Fixed in Version => 0.85.0